Subject: bug#76769: 31.0.50; marking inconsistency between VC-Dir and dired-vc-next-action

From: Eli Zaretskii <[email-masked]>
Date: Wed, 12 Mar 2025 16:29:36 +0200

> From: Sean Whitton <[email-masked]>
> Cc: [email-masked],  [email-masked],  [email-masked],
>   [email-masked]
> Date: Wed, 12 Mar 2025 15:19:34 +0800
> 
> Hello,
> 
> On Tue 11 Mar 2025 at 02:44pm +02, Eli Zaretskii wrote:
> 
> > The toggle part is usually very handy.
> 
> I'm not sure what you mean here.  Do you mean these two features:
> 
> --8<---------------cut here---------------start------------->8---
> U - if the cursor is on a file: unmark all the files with the same state
>       as the current file
>   - if the cursor is on a directory: unmark all child files
> --8<---------------cut here---------------end--------------->8---

No.  You said:

> - When you try to mark a file but you can't because the directory is
>   already marked, unmark the directory first.

I'm asking: what if I want to unmark a file whose directory is already
unmarked?

You said:

> - When you try to mark a directory but you can't because a file under it
>   is already marked, unmark all files under it and mark the directory,
>   instead.

I'm asking: what if I want to unmark a directory which has a file
under it already unmarked?